with System;
with Ada.Exceptions;
package Ada_Main is

   gnat_argc : Integer;
   gnat_argv : System.Address;
   gnat_envp : System.Address;

   pragma Import (C, gnat_argc);
   pragma Import (C, gnat_argv);
   pragma Import (C, gnat_envp);

   gnat_exit_status : Integer;
   pragma Import (C, gnat_exit_status);

   procedure adafinal;
   pragma Export (C, adafinal);

   procedure adainit;
   pragma Export (C, adainit);

   procedure Break_Start;
   pragma Import (C, Break_Start, "__gnat_break_start");

   function main
     (argc : Integer;
      argv : System.Address;
      envp : System.Address)
      return Integer;
   pragma Export (C, main, "main");

   u00001 : constant Integer := 16#5AE9703A#;
   u00002 : constant Integer := 16#077A2651#;
   u00003 : constant Integer := 16#08ADDC9E#;
   u00004 : constant Integer := 16#2359F9ED#;
   u00005 : constant Integer := 16#56350D64#;
   u00006 : constant Integer := 16#7A5EF454#;
   u00007 : constant Integer := 16#010A1D94#;
   u00008 : constant Integer := 16#48CED71B#;
   u00009 : constant Integer := 16#22B8641E#;
   u00010 : constant Integer := 16#156A40CF#;
   u00011 : constant Integer := 16#033DABE0#;
   u00012 : constant Integer := 16#6AB38FEA#;
   u00013 : constant Integer := 16#7AAA368C#;
   u00014 : constant Integer := 16#3611BD42#;
   u00015 : constant Integer := 16#62D2B79D#;
   u00016 : constant Integer := 16#2E865F1E#;
   u00017 : constant Integer := 16#3043D77B#;
   u00018 : constant Integer := 16#287BD632#;
   u00019 : constant Integer := 16#613D0208#;
   u00020 : constant Integer := 16#28DA42AC#;
   u00021 : constant Integer := 16#1AC7FBD4#;
   u00022 : constant Integer := 16#68BA7910#;
   u00023 : constant Integer := 16#7C5CB7A5#;
   u00024 : constant Integer := 16#079D3777#;
   u00025 : constant Integer := 16#5949C379#;
   u00026 : constant Integer := 16#354B3EBA#;
   u00027 : constant Integer := 16#2F1EB794#;
   u00028 : constant Integer := 16#4528485D#;
   u00029 : constant Integer := 16#264315D3#;
   u00030 : constant Integer := 16#2A77CA3D#;
   u00031 : constant Integer := 16#209CAF42#;
   u00032 : constant Integer := 16#049A5058#;
   u00033 : constant Integer := 16#3C84661E#;
   u00034 : constant Integer := 16#41E15328#;
   u00035 : constant Integer := 16#12F98AEB#;
   u00036 : constant Integer := 16#4C99674C#;
   u00037 : constant Integer := 16#60D8941F#;
   u00038 : constant Integer := 16#2F2DBDCF#;
   u00039 : constant Integer := 16#1B981D87#;
   u00040 : constant Integer := 16#16585895#;
   u00041 : constant Integer := 16#1A0F1974#;
   u00042 : constant Integer := 16#498356DF#;
   u00043 : constant Integer := 16#4F0184F2#;
   u00044 : constant Integer := 16#0A0669D8#;
   u00045 : constant Integer := 16#26610831#;
   u00046 : constant Integer := 16#405843BE#;
   u00047 : constant Integer := 16#7C25DE96#;
   u00048 : constant Integer := 16#521B9399#;
   u00049 : constant Integer := 16#239ECFFE#;
   u00050 : constant Integer := 16#1D4F93E8#;
   u00051 : constant Integer := 16#3105E58B#;
   u00052 : constant Integer := 16#34054F96#;
   u00053 : constant Integer := 16#2C9C021D#;
   u00054 : constant Integer := 16#5C785FB1#;
   u00055 : constant Integer := 16#1CBC39CD#;
   u00056 : constant Integer := 16#1F63B579#;
   u00057 : constant Integer := 16#03F36D98#;
   u00058 : constant Integer := 16#6B8F30B1#;
   u00059 : constant Integer := 16#1389B1B2#;
   u00060 : constant Integer := 16#1C6B2FC6#;
   u00061 : constant Integer := 16#0357E00A#;
   u00062 : constant Integer := 16#4D7A64CF#;
   u00063 : constant Integer := 16#6718AB80#;
   u00064 : constant Integer := 16#3E1A602B#;
   u00065 : constant Integer := 16#3892E21F#;
   u00066 : constant Integer := 16#2692E751#;
   u00067 : constant Integer := 16#0B97C6BF#;
   u00068 : constant Integer := 16#34B32999#;
   u00069 : constant Integer := 16#2E39F0D4#;
   u00070 : constant Integer := 16#11BA2DCD#;
   u00071 : constant Integer := 16#66D46153#;
   u00072 : constant Integer := 16#2BCCA6F3#;
   u00073 : constant Integer := 16#78F85AAF#;
   u00074 : constant Integer := 16#5AF53864#;
   u00075 : constant Integer := 16#54887681#;
   u00076 : constant Integer := 16#7BF1B21E#;
   u00077 : constant Integer := 16#441AAEE1#;
   u00078 : constant Integer := 16#279656F5#;
   u00079 : constant Integer := 16#26612BA6#;
   u00080 : constant Integer := 16#602E85A1#;
   u00081 : constant Integer := 16#2CC9DF60#;
   u00082 : constant Integer := 16#6A0E0454#;
   u00083 : constant Integer := 16#75B7A28B#;
   u00084 : constant Integer := 16#2F5561F0#;
   u00085 : constant Integer := 16#433D2173#;
   u00086 : constant Integer := 16#1708FDBA#;
   u00087 : constant Integer := 16#265D8540#;
   u00088 : constant Integer := 16#755F8351#;
   u00089 : constant Integer := 16#11DCEFEE#;
   u00090 : constant Integer := 16#39C126C8#;
   u00091 : constant Integer := 16#72152961#;
   u00092 : constant Integer := 16#6C95BC84#;
   u00093 : constant Integer := 16#43F8A78C#;
   u00094 : constant Integer := 16#35B5B801#;
   u00095 : constant Integer := 16#40DFD245#;
   u00096 : constant Integer := 16#240BBC41#;
   u00097 : constant Integer := 16#767F630A#;
   u00098 : constant Integer := 16#78022DEF#;
   u00099 : constant Integer := 16#7206C69D#;
   u00100 : constant Integer := 16#5AFD18BD#;
   u00101 : constant Integer := 16#7BFE2FC4#;
   u00102 : constant Integer := 16#275CDF40#;
   u00103 : constant Integer := 16#79CE2327#;
   u00104 : constant Integer := 16#7780C655#;
   u00105 : constant Integer := 16#1150C247#;
   u00106 : constant Integer := 16#68D0071B#;
   u00107 : constant Integer := 16#746AD087#;
   u00108 : constant Integer := 16#793AE3D6#;
   u00109 : constant Integer := 16#3EC89D33#;
   u00110 : constant Integer := 16#098FB22F#;
   u00111 : constant Integer := 16#620362EA#;
   u00112 : constant Integer := 16#411EC155#;
   u00113 : constant Integer := 16#35CDAC45#;
   u00114 : constant Integer := 16#1B3154E6#;
   u00115 : constant Integer := 16#15E134DD#;
   u00116 : constant Integer := 16#75B55704#;
   u00117 : constant Integer := 16#34DEFC43#;
   u00118 : constant Integer := 16#249728BE#;
   u00119 : constant Integer := 16#1391C837#;
   u00120 : constant Integer := 16#08A104D8#;
   u00121 : constant Integer := 16#11EF7F00#;
   u00122 : constant Integer := 16#65337932#;
   u00123 : constant Integer := 16#445B56D9#;
   u00124 : constant Integer := 16#0FA43E5D#;
   u00125 : constant Integer := 16#320BB1C3#;
   u00126 : constant Integer := 16#25A98381#;
   u00127 : constant Integer := 16#5A57F4A7#;
   u00128 : constant Integer := 16#6C02AD65#;
   u00129 : constant Integer := 16#2F7F42EB#;
   u00130 : constant Integer := 16#70EACCA0#;
   u00131 : constant Integer := 16#410AB8D3#;
   u00132 : constant Integer := 16#70D56A6B#;
   u00133 : constant Integer := 16#32F8FAD4#;
   u00134 : constant Integer := 16#29A3F436#;
   u00135 : constant Integer := 16#53AF3FAE#;
   u00136 : constant Integer := 16#453DA2E0#;
   u00137 : constant Integer := 16#737630B5#;
   u00138 : constant Integer := 16#5154EAEE#;
   u00139 : constant Integer := 16#6C0E8179#;
   u00140 : constant Integer := 16#7BDC3F44#;
   u00141 : constant Integer := 16#7DF7C3AE#;
   u00142 : constant Integer := 16#1858125B#;
   u00143 : constant Integer := 16#3A3C4723#;
   u00144 : constant Integer := 16#17F259AC#;
   u00145 : constant Integer := 16#54A43775#;
   u00146 : constant Integer := 16#147C67CC#;
   u00147 : constant Integer := 16#40AEC4E9#;
   u00148 : constant Integer := 16#6E46C0A3#;
   u00149 : constant Integer := 16#4CD294E7#;
   u00150 : constant Integer := 16#09F5548A#;
   u00151 : constant Integer := 16#770CEB0C#;
   u00152 : constant Integer := 16#0191FE0F#;
   u00153 : constant Integer := 16#0E16A920#;
   u00154 : constant Integer := 16#453EC23F#;
   u00155 : constant Integer := 16#3BD310AC#;

   pragma Export (C, u00001, "reformatB");
   pragma Export (C, u00002, "system__standard_libraryB");
   pragma Export (C, u00003, "system__standard_libraryS");
   pragma Export (C, u00004, "adaS");
   pragma Export (C, u00005, "systemS");
   pragma Export (C, u00006, "ada__command_lineB");
   pragma Export (C, u00007, "ada__command_lineS");
   pragma Export (C, u00008, "ada__exceptionsB");
   pragma Export (C, u00009, "ada__exceptionsS");
   pragma Export (C, u00010, "gnatS");
   pragma Export (C, u00011, "gnat__heap_sort_aB");
   pragma Export (C, u00012, "gnat__heap_sort_aS");
   pragma Export (C, u00013, "system__exception_tableB");
   pragma Export (C, u00014, "system__exception_tableS");
   pragma Export (C, u00015, "gnat__htableB");
   pragma Export (C, u00016, "gnat__htableS");
   pragma Export (C, u00017, "system__exceptionsS");
   pragma Export (C, u00018, "system__machine_codeS");
   pragma Export (C, u00019, "system__secondary_stackB");
   pragma Export (C, u00020, "system__secondary_stackS");
   pragma Export (C, u00021, "system__soft_linksB");
   pragma Export (C, u00022, "system__soft_linksS");
   pragma Export (C, u00023, "system__stack_checkingB");
   pragma Export (C, u00024, "system__stack_checkingS");
   pragma Export (C, u00025, "system__parametersB");
   pragma Export (C, u00026, "system__parametersS");
   pragma Export (C, u00027, "system__storage_elementsB");
   pragma Export (C, u00028, "system__storage_elementsS");
   pragma Export (C, u00029, "ada__stringsS");
   pragma Export (C, u00030, "ada__strings__unboundedB");
   pragma Export (C, u00031, "ada__strings__unboundedS");
   pragma Export (C, u00032, "ada__strings__fixedB");
   pragma Export (C, u00033, "ada__strings__fixedS");
   pragma Export (C, u00034, "ada__strings__mapsB");
   pragma Export (C, u00035, "ada__strings__mapsS");
   pragma Export (C, u00036, "system__bit_opsB");
   pragma Export (C, u00037, "system__bit_opsS");
   pragma Export (C, u00038, "system__unsigned_typesS");
   pragma Export (C, u00039, "ada__charactersS");
   pragma Export (C, u00040, "ada__characters__latin_1S");
   pragma Export (C, u00041, "ada__strings__searchB");
   pragma Export (C, u00042, "ada__strings__searchS");
   pragma Export (C, u00043, "ada__finalizationB");
   pragma Export (C, u00044, "ada__finalizationS");
   pragma Export (C, u00045, "system__finalization_rootB");
   pragma Export (C, u00046, "system__finalization_rootS");
   pragma Export (C, u00047, "ada__streamsS");
   pragma Export (C, u00048, "ada__tagsB");
   pragma Export (C, u00049, "ada__tagsS");
   pragma Export (C, u00050, "system__stream_attributesB");
   pragma Export (C, u00051, "system__stream_attributesS");
   pragma Export (C, u00052, "ada__io_exceptionsS");
   pragma Export (C, u00053, "system__finalization_implementationB");
   pragma Export (C, u00054, "system__finalization_implementationS");
   pragma Export (C, u00055, "system__string_ops_concat_3B");
   pragma Export (C, u00056, "system__string_ops_concat_3S");
   pragma Export (C, u00057, "system__string_opsB");
   pragma Export (C, u00058, "system__string_opsS");
   pragma Export (C, u00059, "ada__text_ioB");
   pragma Export (C, u00060, "ada__text_ioS");
   pragma Export (C, u00061, "interfacesS");
   pragma Export (C, u00062, "interfaces__c_streamsB");
   pragma Export (C, u00063, "interfaces__c_streamsS");
   pragma Export (C, u00064, "system__file_ioB");
   pragma Export (C, u00065, "system__file_ioS");
   pragma Export (C, u00066, "system__file_control_blockS");
   pragma Export (C, u00067, "ada__finalization__list_controllerB");
   pragma Export (C, u00068, "ada__finalization__list_controllerS");
   pragma Export (C, u00069, "lexerB");
   pragma Export (C, u00070, "lexerS");
   pragma Export (C, u00071, "ada__characters__handlingB");
   pragma Export (C, u00072, "ada__characters__handlingS");
   pragma Export (C, u00073, "ada__strings__maps__constantsS");
   pragma Export (C, u00074, "ada__float_text_ioB");
   pragma Export (C, u00075, "ada__float_text_ioS");
   pragma Export (C, u00076, "ada__text_io__float_auxB");
   pragma Export (C, u00077, "ada__text_io__float_auxS");
   pragma Export (C, u00078, "ada__text_io__generic_auxB");
   pragma Export (C, u00079, "ada__text_io__generic_auxS");
   pragma Export (C, u00080, "system__img_realB");
   pragma Export (C, u00081, "system__img_realS");
   pragma Export (C, u00082, "system__fat_llfS");
   pragma Export (C, u00083, "system__img_lluB");
   pragma Export (C, u00084, "system__img_lluS");
   pragma Export (C, u00085, "system__img_unsB");
   pragma Export (C, u00086, "system__img_unsS");
   pragma Export (C, u00087, "system__powten_tableS");
   pragma Export (C, u00088, "system__val_realB");
   pragma Export (C, u00089, "system__val_realS");
   pragma Export (C, u00090, "system__exn_llfS");
   pragma Export (C, u00091, "system__exn_genB");
   pragma Export (C, u00092, "system__exn_genS");
   pragma Export (C, u00093, "system__val_utilB");
   pragma Export (C, u00094, "system__val_utilS");
   pragma Export (C, u00095, "gnat__case_utilB");
   pragma Export (C, u00096, "gnat__case_utilS");
   pragma Export (C, u00097, "ada__integer_text_ioB");
   pragma Export (C, u00098, "ada__integer_text_ioS");
   pragma Export (C, u00099, "ada__text_io__integer_auxB");
   pragma Export (C, u00100, "ada__text_io__integer_auxS");
   pragma Export (C, u00101, "system__img_biuB");
   pragma Export (C, u00102, "system__img_biuS");
   pragma Export (C, u00103, "system__img_intB");
   pragma Export (C, u00104, "system__img_intS");
   pragma Export (C, u00105, "system__img_llbB");
   pragma Export (C, u00106, "system__img_llbS");
   pragma Export (C, u00107, "system__img_lliB");
   pragma Export (C, u00108, "system__img_lliS");
   pragma Export (C, u00109, "system__img_llwB");
   pragma Export (C, u00110, "system__img_llwS");
   pragma Export (C, u00111, "system__img_wiuB");
   pragma Export (C, u00112, "system__img_wiuS");
   pragma Export (C, u00113, "system__val_intB");
   pragma Export (C, u00114, "system__val_intS");
   pragma Export (C, u00115, "system__val_unsB");
   pragma Export (C, u00116, "system__val_unsS");
   pragma Export (C, u00117, "system__val_lliB");
   pragma Export (C, u00118, "system__val_lliS");
   pragma Export (C, u00119, "system__val_lluB");
   pragma Export (C, u00120, "system__val_lluS");
   pragma Export (C, u00121, "reformat_pkgB");
   pragma Export (C, u00122, "reformat_pkgS");
   pragma Export (C, u00123, "declarationsB");
   pragma Export (C, u00124, "declarationsS");
   pragma Export (C, u00125, "token_writerB");
   pragma Export (C, u00126, "token_writerS");
   pragma Export (C, u00127, "settingsB");
   pragma Export (C, u00128, "settingsS");
   pragma Export (C, u00129, "writerB");
   pragma Export (C, u00130, "writerS");
   pragma Export (C, u00131, "declarations__subprogramsB");
   pragma Export (C, u00132, "declarations__subprogramsS");
   pragma Export (C, u00133, "declsB");
   pragma Export (C, u00134, "declsS");
   pragma Export (C, u00135, "declarations__argumentsB");
   pragma Export (C, u00136, "declarations__argumentsS");
   pragma Export (C, u00137, "lists_genericB");
   pragma Export (C, u00138, "lists_genericS");
   pragma Export (C, u00139, "declarations__parametersB");
   pragma Export (C, u00140, "declarations__parametersS");
   pragma Export (C, u00141, "parm_modesB");
   pragma Export (C, u00142, "parm_modesS");
   pragma Export (C, u00143, "declarations__variablesB");
   pragma Export (C, u00144, "declarations__variablesS");
   pragma Export (C, u00145, "declarations__typesB");
   pragma Export (C, u00146, "declarations__typesS");
   pragma Export (C, u00147, "reformat_pkg__scope_changesB");
   pragma Export (C, u00148, "reformat_pkg__scope_changesS");
   pragma Export (C, u00149, "token_stackB");
   pragma Export (C, u00150, "token_stackS");
   pragma Export (C, u00151, "reformat_rtfB");
   pragma Export (C, u00152, "reformat_rtfS");
   pragma Export (C, u00153, "rtfS");
   pragma Export (C, u00154, "system__val_enumB");
   pragma Export (C, u00155, "system__val_enumS");

end Ada_Main;
